Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class AlgorithmParameterGeneratorSpi

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGeneratorSpi

public abstract class AlgorithmParameterGeneratorSpi
extends Object

This class defines the Service Provider Interface (SPI) for the `AlgorithmParameterGenerator` class, which is used to generate a set of parameters to be used with a certain algorithm.

All the abstract methods in this class must be implemented by each cryptographic service provider who wishes to supply the implementation of a parameter generator for a particular algorithm.

In case the client does not explicitly initialize the AlgorithmParameterGenerator (via a call to an `engineInit` method), each provider must supply (and document) a default initialization. For example, the Sun provider uses a default modulus prime size of 1024 bits for the generation of DSA parameters.

Since:
  1.2
See Also:
  `AlgorithmParameterGenerator`, `AlgorithmParameters`, `AlgorithmParameterSpec`

Constructor Summary
`AlgorithmParameterGeneratorSpi()`

Method Summary
`protected abstract AlgorithmParameters` | `engineGenerateParameters()` Generates the parameters.
`protected abstract void` | `engineInit(AlgorithmParameterSpec genParamSpec, SecureRandom random)` Initializes this parameter generator with a set of algorithm-specific parameter generation values.
`protected abstract void` | `engineInit(int size, SecureRandom random)` Initializes this parameter generator for a certain size and source of randomness.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmParameterGeneratorSpi

    public AlgorithmParameterGeneratorSpi()

Method Detail

### engineInit

    protected abstract void engineInit(int size,
                                       SecureRandom random)

  Initializes this parameter generator for a certain size and source of randomness.
  Parameters:
    `size` - the size (number of bits).
    `random` - the source of randomness.

### engineInit

    protected abstract void engineInit(AlgorithmParameterSpec genParamSpec,
                                       SecureRandom random)
                                throws InvalidAlgorithmParameterException

  Initializes this parameter generator with a set of algorithm-specific parameter generation values.
  Parameters:
    `genParamSpec` - the set of algorithm-specific parameter generation values.
    `random` - the source of randomness.
  Throws:
    `InvalidAlgorithmParameterException` - if the given parameter generation values are inappropriate for this parameter generator.

### engineGenerateParameters

    protected abstract AlgorithmParameters engineGenerateParameters()

  Generates the parameters.
  Returns:
    the new AlgorithmParameters object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >